From 56e27ea4aa59ce9e3c42932e832ef5ab49ed8ea7 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Wed, 4 Jan 2023 22:25:18 +0700
Subject: [PATCH 1/3] Fix catch2 includes

---
 tests/and_then_test.cpp         | 2 +-
 tests/attempt_test.cpp          | 2 +-
 tests/either/and_then_test.cpp  | 2 +-
 tests/either/attempt_test.cpp   | 2 +-
 tests/either/eval_test.cpp      | 2 +-
 tests/either/for_each_test.cpp  | 2 +-
 tests/either/transform_test.cpp | 2 +-
 tests/eval_test.cpp             | 2 +-
 tests/execution_status_test.cpp | 2 +-
 tests/for_each_test.cpp         | 2 +-
 tests/from_variant_test.cpp     | 2 +-
 tests/main.cpp                  | 2 +-
 tests/transform_test.cpp        | 2 +-
 13 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/tests/and_then_test.cpp b/tests/and_then_test.cpp
index 9be1d87..8cc0a3f 100644
--- a/tests/and_then_test.cpp
+++ b/tests/and_then_test.cpp
@@ -3,7 +3,7 @@
 #include <optional>
 #include <string>
 
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 using namespace rvarago::absent;
 
diff --git a/tests/attempt_test.cpp b/tests/attempt_test.cpp
index 9f5803c..946bb5a 100644
--- a/tests/attempt_test.cpp
+++ b/tests/attempt_test.cpp
@@ -3,7 +3,7 @@
 #include <optional>
 #include <stdexcept>
 
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 using namespace rvarago::absent;
 
diff --git a/tests/either/and_then_test.cpp b/tests/either/and_then_test.cpp
index 4f8ca9f..0110030 100644
--- a/tests/either/and_then_test.cpp
+++ b/tests/either/and_then_test.cpp
@@ -2,7 +2,7 @@
 
 #include <string>
 
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 using namespace rvarago::absent::adapters::either;
 using rvarago::absent::adapters::types::either;
diff --git a/tests/either/attempt_test.cpp b/tests/either/attempt_test.cpp
index d7050a2..9e2f0ed 100644
--- a/tests/either/attempt_test.cpp
+++ b/tests/either/attempt_test.cpp
@@ -2,7 +2,7 @@
 
 #include <stdexcept>
 
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 using namespace rvarago::absent::adapters::either;
 using rvarago::absent::adapters::types::either;
diff --git a/tests/either/eval_test.cpp b/tests/either/eval_test.cpp
index 16b933e..2eac882 100644
--- a/tests/either/eval_test.cpp
+++ b/tests/either/eval_test.cpp
@@ -2,7 +2,7 @@
 
 #include <optional>
 
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 using namespace rvarago::absent::adapters::either;
 using rvarago::absent::adapters::types::either;
diff --git a/tests/either/for_each_test.cpp b/tests/either/for_each_test.cpp
index d792b67..7ec8be1 100644
--- a/tests/either/for_each_test.cpp
+++ b/tests/either/for_each_test.cpp
@@ -2,7 +2,7 @@
 
 #include <optional>
 
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 using namespace rvarago::absent::adapters::either;
 using rvarago::absent::adapters::types::either;
diff --git a/tests/either/transform_test.cpp b/tests/either/transform_test.cpp
index f6fd8d2..c14325f 100644
--- a/tests/either/transform_test.cpp
+++ b/tests/either/transform_test.cpp
@@ -3,7 +3,7 @@
 #include <string>
 #include <utility>
 
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 using namespace rvarago::absent::adapters::either;
 using rvarago::absent::adapters::types::either;
diff --git a/tests/eval_test.cpp b/tests/eval_test.cpp
index 420d84c..fcf95eb 100644
--- a/tests/eval_test.cpp
+++ b/tests/eval_test.cpp
@@ -2,7 +2,7 @@
 
 #include <optional>
 
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 using namespace rvarago::absent;
 
diff --git a/tests/execution_status_test.cpp b/tests/execution_status_test.cpp
index 87ca610..8a47014 100644
--- a/tests/execution_status_test.cpp
+++ b/tests/execution_status_test.cpp
@@ -3,7 +3,7 @@
 
 #include <string>
 
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 using namespace rvarago::absent;
 
diff --git a/tests/for_each_test.cpp b/tests/for_each_test.cpp
index 560cd0e..ed6c70d 100644
--- a/tests/for_each_test.cpp
+++ b/tests/for_each_test.cpp
@@ -2,7 +2,7 @@
 
 #include <optional>
 
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 using namespace rvarago::absent;
 
diff --git a/tests/from_variant_test.cpp b/tests/from_variant_test.cpp
index 47725ea..2460383 100644
--- a/tests/from_variant_test.cpp
+++ b/tests/from_variant_test.cpp
@@ -2,7 +2,7 @@
 
 #include <string>
 
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 using namespace rvarago::absent;
 
diff --git a/tests/main.cpp b/tests/main.cpp
index 2380d6b..cbcca02 100644
--- a/tests/main.cpp
+++ b/tests/main.cpp
@@ -1,2 +1,2 @@
 #define CATCH_CONFIG_MAIN
-#include <catch2/catch.hpp>
\ No newline at end of file
+#include <catch2/catch_all.hpp>
\ No newline at end of file
diff --git a/tests/transform_test.cpp b/tests/transform_test.cpp
index 08abd3b..4e2a39d 100644
--- a/tests/transform_test.cpp
+++ b/tests/transform_test.cpp
@@ -3,7 +3,7 @@
 #include <optional>
 #include <string>
 
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 using namespace rvarago::absent;
 
-- 
2.39.0

